package de.sheepstar.globalWrapper.commands;

import de.sheepstar.globalWrapper.api.LevelManager;
import de.sheepstar.globalWrapper.api.SheepPermission;
import de.sheepstar.globalWrapper.api.SheepstarGuildCommand;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 18.12.20
 ********************************/

public class LevelCommand extends SheepstarGuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("xp", "level", "levels");
    }

    @Override
    public SheepPermission getPermission() {
        return SheepPermission.UNKNOWN;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        LevelManager lm = new LevelManager(e.getGuild());
        sendMessage()
                .setTitle("Global Chat Level")
                .setDescription(e.getAuthor().getAsMention() + ", this server has:\n" +
                                "`"+lm.getXP()+" XP / "+lm.getNeededXP()+" XP`\n" +
                                "`"+lm.getLevel()+"` Level")
                .send(e.getChannel());
    }
}
