package de.sheepstar.globalWrapper.commands;

import de.sheepstar.globalWrapper.api.SheepManager;
import de.sheepstar.globalWrapper.api.SheepPermission;
import de.sheepstar.globalWrapper.api.SheepstarGuildCommand;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 14.12.20
 ********************************/

public class PingCommand extends SheepstarGuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("ping", "botping", "pong", "internet");
    }

    @Override
    public SheepPermission getPermission() {
        return SheepPermission.UNKNOWN;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .setTitle("Sheepstar's ping")
                .setDescription("Pong! " + e.getJDA().getGatewayPing() + " ms")
                .send(e.getChannel());
    }
}

