package de.sheepstar.globalWrapper.commands;

import de.sheepstar.globalWrapper.api.SheepPermission;
import de.sheepstar.globalWrapper.api.SheepstarGuildCommand;
import net.dv8tion.jda.api.Permission;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Leon Fleß
 * Created 13.12.20
 ********************************/

public class RulesCommand extends SheepstarGuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("rules", "regeln", "rule", "r");
    }

    @Override
    public SheepPermission getPermission() {
        return SheepPermission.UNKNOWN;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .setTitle("Rules")
                .setDescription("```§1 - No NSFW\n" +
                                "§2 - No Server invites \n" +
                                "§3 - No ADs\n" +
                                "§4 - No LINKs\n" +
                                "§5 - No SPAM\n" +
                                "§6 - No Bug abusing\n" +
                                "§7 - No abusive language\n" +
                                "§8 - Use the language that you have set```")
                .send(e.getChannel());
    }
}
