package de.sheepstar.globalWrapper.commands;

import de.sheepstar.globalWrapper.api.SheepPermission;
import de.sheepstar.globalWrapper.api.SheepstarGuildCommand;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 17.12.20
 ********************************/

public class ShowDesignsCommand extends SheepstarGuildCommand {


    @Override
    public List<String> getAlias() {
        return Arrays.asList("showdesigns", "designs", "listdesigns");
    }

    @Override
    public SheepPermission getPermission() {
        return SheepPermission.ADMINISTRATOR;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .setTitle("Sheepstar designs")
                .setDescription("`1 - Default Embed Message`\n" +
                                "`2 - Embed Message without 'gap'`\n" +
                                "`3 - Embed Message without 'Links & Help'`\n" +
                                "`4 - Simple Message`\n" +
                                "`5 - Admin Embed with IDs`")
                .setFooter("Change with s!design <id>")
                .send(e.getChannel());
    }
}
