package xyz.sheepstar.wrapper.main.commands.essentials;

import com.sun.org.apache.xerces.internal.impl.dtd.DTDGrammar;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import xyz.sheepstar.wrapper.util.api.command.GuildCommand;
import xyz.sheepstar.wrapper.util.api.permission.PermissionNode;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 10.02.2021
 ********************************/

public class BotInfoCommand extends GuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("botinfo", "botstats");
    }

    @Override
    public PermissionNode getPermission() {
        return null;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .addField("Servers", jda.getGuildCache().stream().count()+"", true)
                .addField("Users", jda.getUserCache().stream().count()+"", true)
                .addField("Ping", jda.getGatewayPing()+" ms", true)
                .send(e.getChannel());
    }

}
