package xyz.sheepstar.wrapper.main.commands.essentials;

import net.dv8tion.jda.api.entities.Invite;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import xyz.sheepstar.wrapper.util.api.command.GuildCommand;
import xyz.sheepstar.wrapper.util.api.permission.PermissionNode;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 08.02.2021
 ********************************/

public class PingCommand extends GuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("ping", "botping", "gatewayping");
    }

    @Override
    public PermissionNode getPermission() {
        return null;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .setTitle("Sheepstar ping")
                .setDescription("Pong! " + jda.getGatewayPing() + " ms.")
                .send(e.getChannel());
    }
}
