package xyz.sheepstar.wrapper.main.commands.trending;

import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import xyz.sheepstar.wrapper.util.api.builder.message.MessageBuilder;
import xyz.sheepstar.wrapper.util.api.command.GuildCommand;
import xyz.sheepstar.wrapper.util.api.permission.PermissionNode;

import java.util.Arrays;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

/********************************
 * @author Mathias Wagner
 * Created 13.02.2021
 ********************************/

public class LeaderboardCommand extends GuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("leaderboard", "top");
    }

    @Override
    public PermissionNode getPermission() {
        return null;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        MessageBuilder mb = sendMessage();
        AtomicInteger countf = new AtomicInteger(1);
        LeaderboardManager.guildCache.forEach((guild, integer) -> {
            String count = "`"+countf.get()+".`";
            if (countf.get() == 1) count = ":first_place:";
            if (countf.get() == 2) count = ":second_place:";
            if (countf.get() == 3) count = ":third_place:";

            mb.addField(count+" "+ guild.getName() + " ["+integer+"]", "" , false);
            countf.incrementAndGet();
        });
        mb.send(e.getChannel());
    }
}
