package xyz.sheepstar.wrapper.modules.global.commands;

import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import xyz.sheepstar.wrapper.util.api.command.GuildCommand;
import xyz.sheepstar.wrapper.util.api.permission.PermissionNode;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 11.02.2021
 ********************************/

public class RulesCommand extends GuildCommand {

    @Override
    public List<String> getAlias() {
        return Arrays.asList("rules", "regeln", "rule", "r");
    }

    @Override
    public PermissionNode getPermission() {
        return null;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .noThumbnail()
                .setTitle("Rules")
                .setDescription("```§1 - No NSFW\n" +
                        "§2 - No Server invites \n" +
                        "§3 - No ADs\n" +
                        "§4 - No LINKs\n" +
                        "§5 - No SPAM\n" +
                        "§6 - No Bug abusing\n" +
                        "§7 - No abusive language\n" +
                        "§8 - Use the language that you have set```")
                .send(e.getChannel());
    }
}
