package xyz.sheepstar.wrapper.modules.voice;

import net.dv8tion.jda.api.entities.VoiceChannel;
import xyz.sheepstar.wrapper.core.Main;
import xyz.sheepstar.wrapper.modules.voice.api.Manager;
import xyz.sheepstar.wrapper.modules.voice.api.TempVoiceManager;

import java.util.concurrent.TransferQueue;

/********************************
 * @author Mathias Wagner
 * Created 26.01.2021
 ********************************/

public class DowntimeHandler {

    TempVoiceManager tempVoiceManager = Manager.getTempVoiceManager();

    public DowntimeHandler() {

        new Thread(new Runnable() {
            @Override
            public void run() {
                Main.getDB().getResult("SELECT * FROM voice_tempChannels").getList("channelID").forEach(channelID -> {
                    boolean delete = false;
                    try {
                        VoiceChannel channel = Main.getJDA().getVoiceChannelById(channelID);
                        if (channel.getMembers().size() <= 0) { channel.delete().queue(); delete = true; }
                    } catch (Exception err) { delete = true; }
                    if (delete) tempVoiceManager.unregister(channelID);
                });
            }
        }).start();

    }

}
