package xyz.sheepstar.wrapper.util.api.http;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;
import xyz.sheepstar.wrapper.core.Main;

import java.io.IOException;
import java.io.OutputStream;

/********************************
 * @author Mathias Wagner
 * Created 29.01.2021
 ********************************/

public class StatusHandler implements HttpHandler {
    @Override
    public void handle(HttpExchange t) throws IOException {
        String res = "{\"status\":\""+Main.getJDA().getStatus().name()+"\",\"init\":\""+Main.getJDA().getStatus().isInit()+"\"}";
        t.sendResponseHeaders(200, res.length());
        OutputStream os = t.getResponseBody();
        os.write(res.getBytes());
        os.close();
    }
}
