package de.sheepstar.globalWrapper.api;

import de.sheepstar.globalWrapper.api.sql.MySQL;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.entities.User;

import java.sql.Array;
import java.sql.ResultSet;
import java.util.ArrayList;

/********************************
 * @author Mathias Wagner
 * Created 13.12.20
 ********************************/

public class LogManager {

    public ArrayList<String> getServerMessages(String guildID, int limit) {
        String limitLine = (limit > 1 ? " LIMIT " + limit : "");
        ResultSet rs = MySQL.getResult("SELECT * FROM log WHERE guildID=?" + limitLine, guildID);
        ArrayList<String> arrayList = new ArrayList<>();
        try {
            while (rs.next()) {
                arrayList.add(rs.getString("message"));
            }
        } catch (Exception err) {}
        return arrayList;
    }

    public ArrayList<String> getUserMessages(String userID, int limit) {
        String limitLine = (limit > 1 ? " LIMIT " + limit : "");
        ResultSet rs = MySQL.getResult("SELECT * FROM log WHERE senderID=?" + limitLine, userID);
        ArrayList<String> arrayList = new ArrayList<>();
        try {
            while (rs.next()) {
                arrayList.add(rs.getString("message"));
            }
        } catch (Exception err) {}
        return arrayList;
    }

}
