package de.sheepstar.globalWrapper.api;

import de.sheepstar.globalWrapper.api.sql.SqlParam;
import de.sheepstar.globalWrapper.core.Main;
import net.dv8tion.jda.api.entities.Role;

import java.util.ArrayList;
import java.util.HashMap;

/********************************
 * @author Mathias Wagner
 *         Created 11.12.20
 ********************************/

public class SheepManager {

    public static boolean BETA_INSTANCE = false;

    public ArrayList<String> botOwners = new ArrayList<>();

    public Role supporterRole;

    private HashMap<SqlParam, String> sqlParams = new HashMap<>();

    public String getSQLParam(SqlParam param) {
        return sqlParams.getOrDefault(param, "null");
    }

    private void registerSQLParam(SqlParam param, String value) {
        if (!sqlParams.containsKey(param))
            sqlParams.put(param, value);
    }

    public String getBetaToken() {
        return "protected";
    }

    public String getDefaultToken() {
        return "protected";
    }

    public String getToken() {
        if (BETA_INSTANCE) {
            return getBetaToken();
        } else {
            return getDefaultToken();
        }
    }

    public static String getPrefix() {
        return "» Sheepstar | ";
    }

    public SheepManager register() {
        registerSQLParam(SqlParam.HOSTNAME, "protected");
        registerSQLParam(SqlParam.USERNAME, "protected");
        registerSQLParam(SqlParam.PASSWORD, "protected");
        registerSQLParam(SqlParam.DATABASE, "protected");
        botOwners.add("357214370188492802");
        botOwners.add("386242172632170496");
        return this;
    }

    public static void sendConsoleMessage(String message) {
        System.out.println(getPrefix() + message);
    }

}
