package de.sheepstar.globalWrapper.commands;

import de.sheepstar.globalWrapper.api.SheepPermission;
import de.sheepstar.globalWrapper.api.SheepstarGuildCommand;
import de.sheepstar.globalWrapper.core.Main;
import net.dv8tion.jda.api.EmbedBuilder;
import net.dv8tion.jda.api.Permission;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

import java.awt.*;
import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 12.12.20
 ********************************/

public class HelpCommand extends SheepstarGuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("help", "h", "hilfe");
    }

    @Override
    public SheepPermission getPermission() {
        return SheepPermission.UNKNOWN;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        sendMessage()
                .setTitle("Help menu")
                .addField("Global Chat Help", "`s!addGlobal` \n`s!removeGlobal`\n\n[All commands](https://docs.sheepstar.xyz/global)", true)
                .addField("EMOJI Server", "If you are " +
                        Main.getInstance().getEmotesByName("Sstar_nitro", false).get(0).getAsMention() + "-User, " +
                "join our [EMOJI Server](https://discord.gg/mmERp6a5mA) to get access to emojis you normally can't use.", true)
                .addField("Unban request", "Banned from Global Chat? \n Make an Unban application" +
                        " on the [Support Server](https://discord.gg/jbne9JTJtU)!", true)
                .send(e.getChannel());
    }
}
