package de.sheepstar.globalWrapper.instance;

import de.sheepstar.globalWrapper.api.GlobalManager;
import de.sheepstar.globalWrapper.api.sql.MySQL;
import de.sheepstar.globalWrapper.core.Main;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.entities.TextChannel;

import java.sql.ResultSet;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/********************************
 * @author Mathias Wagner
 * Created 17.12.20
 ********************************/

public class DescUpdater extends Thread {

    @Override
    public void run() {
        try { Thread.sleep(600000); } catch (Exception err) {}
        ResultSet rs = MySQL.getResult("SELECT * FROM server_autoupdate");
        GlobalManager gm = Main.getGlobalManager();
        try {
            while (rs.next()) {
                try {
                    Guild guild = Main.getInstance().getGuildById(rs.getString("guildID"));
                    TextChannel channel = guild.getTextChannelById(rs.getString("channelID"));
                    ResultSet rsb = MySQL.getResult("SELECT * FROM guilds WHERE guildID=? AND channelID=?", guild.getId(), channel.getId());
                    String currentRoom = "";
                    String currentLanguage = "";
                    try {
                        while (rsb.next()) {
                            currentRoom = rsb.getString("roomID");
                            currentLanguage = rsb.getString("languageCode");
                        }
                    } catch (Exception err) {}
                    if (gm.isRegistered(guild, channel)) {
                        // Run Channel Update Logic
                        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd-MM-yyyy HH:mm:ss");
                        LocalDateTime ldt = LocalDateTime.now();
                            channel
                                    .getManager()
                                    .setTopic("Globalchat-Channel » " +
                                            gm.getCount(currentLanguage, currentRoom) +
                                            " servers are registered in this room." +
                                            " (Latest update: "+ ldt.format(dtf) +")"
                                    )
                                    .queue();
                    } else {
                        MySQL.update("DELETE FROM server_autoupdate WHERE guildID=? AND channelID=?", guild.getId(), channel.getId());
                    }
                } catch (Exception ignore) {}
            }
        } catch (Exception ignore) {}
        run();
    }
}
