package xyz.sheepstar.wrapper.main.commands.modules;

import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import xyz.sheepstar.wrapper.core.Main;
import xyz.sheepstar.wrapper.modules.counter.api.Manager;
import xyz.sheepstar.wrapper.util.api.builder.message.MessageBuilder;
import xyz.sheepstar.wrapper.util.api.command.GuildCommand;
import xyz.sheepstar.wrapper.util.api.permission.PermissionNode;

import java.util.Arrays;
import java.util.List;

/********************************
 * @author Mathias Wagner
 * Created 09.02.2021
 ********************************/

public class ShowModulesCommand extends GuildCommand {
    @Override
    public List<String> getAlias() {
        return Arrays.asList("modules", "existing_modules");
    }

    @Override
    public PermissionNode getPermission() {
        return null;
    }

    @Override
    public void executeCommand(String[] args, GuildMessageReceivedEvent e) {
        MessageBuilder mb = sendMessage();
        Main.getDB().selectFrom("existing_modules").getResult().getMultipleList("name", "description").forEach((name, description) -> {
            mb.addField(toCamelCase(name), description, false);
        });
        mb.send(e.getChannel());
    }
}
