package xyz.sheepstar.wrapper.modules.counter;

import xyz.sheepstar.wrapper.modules.counter.action.MemberUpdate;
import xyz.sheepstar.wrapper.modules.counter.commands.EnableCommand;
import xyz.sheepstar.wrapper.modules.counter.commands.MonitorListCommand;
import xyz.sheepstar.wrapper.modules.counter.commands.SetupCommand;
import xyz.sheepstar.wrapper.modules.counter.listeners.CounterDelete;
import xyz.sheepstar.wrapper.util.api.module.SheepstarModule;

/********************************
 * @author Mathias Wagner
 * Created 08.02.2021
 ********************************/

public class Bootstrap extends SheepstarModule {

    @Override
    public void init() throws Exception {
        jda.addEventListener(new EnableCommand());
        jda.addEventListener(new MonitorListCommand());
        jda.addEventListener(new SetupCommand());
        jda.addEventListener(new CounterDelete());
        new MemberUpdate().run();
    }

}
