package xyz.sheepstar.wrapper.modules.global;

import xyz.sheepstar.wrapper.modules.global.commands.*;
import xyz.sheepstar.wrapper.modules.global.listeners.GlobalListener;
import xyz.sheepstar.wrapper.util.api.module.SheepstarModule;

/********************************
 * @author Mathias Wagner
 * Created 23.01.2021
 ********************************/

public class Bootstrap extends SheepstarModule {

    @Override
    public void init() throws Exception {

        jda.addEventListener(new RulesCommand());


        jda.addEventListener(new AddGlobalCommand());
        jda.addEventListener(new RemoveGlobalCommand());
        jda.addEventListener(new GlobalListener());

        jda.addEventListener(new ShowLanguagesCommand());
        jda.addEventListener(new ChangeLanguageCommand());

        jda.addEventListener(new ShowRoomsCommand());
        jda.addEventListener(new ChangeRoomCommand());

    }


}
