package xyz.sheepstar.wrapper.util.api.settings;

import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.entities.Guild;
import xyz.sheepstar.wrapper.core.Main;
import xyz.sheepstar.wrapper.util.api.sql.StorageMedium;

/********************************
 * @author Mathias Wagner
 * Created 13.02.2021
 ********************************/

public class SettingsManager {

    public void update(Guild guild, String key, String value) {
        getStorage(guild).inUpdate(key, value);
    }

    public String get(Guild guild, String key) {
        return String.valueOf(getStorage(guild).getValue(key));
    }

    private StorageMedium getStorage(Guild guild) {
        return new StorageMedium(guild, "settings");
    }

}
